Skip to main content
`Ctrl`+`K`

# PetscViewerADIOSOpen

Opens a file for ADIOS input/output.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscViewerADIOSOpen(MPI_Comm comm, const char name[], PetscFileMode type, PetscViewer *adiosv)

Collective

## Input Parameters

- comm - MPI communicator

- name - name of file

- type - type of file

        FILE_MODE_WRITE - create new file for binary output
        FILE_MODE_READ - open existing file for binary input
        FILE_MODE_APPEND - open existing file for binary output

## Output Parameter

- adiosv - `PetscViewer` for ADIOS input/output to use with the specified file

## Note

This `PetscViewer` should be destroyed with `PetscViewerDestroy()`.

## See Also

`PetscViewerASCIIOpen()`, `PetscViewerPushFormat()`, `PetscViewerDestroy()`, `PetscViewerHDF5Open()`, `VecView()`, `MatView()`, `VecLoad()`, `PetscViewerSetType()`, `PetscViewerFileSetMode()`, `PetscViewerFileSetName()` `MatLoad()`, `PetscFileMode`, `PetscViewer`

## Level

beginner

## Location

src/sys/classes/viewer/impls/adios/adios.c

## Examples

src/vec/vec/tutorials/ex10.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages